---
title: Changelogs
image: https://developers.cloudflare.com/cf-twitter-card.png
---

> Documentation Index  
> Fetch the complete documentation index at: https://developers.cloudflare.com/changelog/llms.txt  
> Use this file to discover all available pages before exploring further. 

[Skip to content](#%5Ftop) 

# Changelog

New updates and improvements at Cloudflare.

[ Subscribe to RSS ](https://developers.cloudflare.com/changelog/rss/index.xml) [ View RSS feeds ](https://developers.cloudflare.com/fundamentals/new-features/available-rss-feeds/) 

All products

![hero image](https://developers.cloudflare.com/_astro/hero.CVYJHPAd_26AMqX.svg) 

Feb 24, 2025
1. ### [WAF Release - 2025-02-24](https://developers.cloudflare.com/changelog/post/2025-02-24-waf-release/)  
[ WAF ](https://developers.cloudflare.com/waf/)  

| Ruleset                    | Rule ID     | Legacy Rule ID | Description                                           | Previous Action | New Action | Comments                |
| -------------------------- | ----------- | -------------- | ----------------------------------------------------- | --------------- | ---------- | ----------------------- |
| Cloudflare Managed Ruleset | ...4916911e | 100718A        | SonicWall SSLVPN 2 - Auth Bypass - CVE:CVE-2024-53704 | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...c382fdec | 100720         | Palo Alto Networks - Auth Bypass - CVE:CVE-2025-0108  | Log             | Block      | This is a New Detection |

Feb 24, 2025
1. ### [Workers AI larger context windows](https://developers.cloudflare.com/changelog/post/2025-02-24-context-windows/)  
[ Workers AI ](https://developers.cloudflare.com/workers-ai/)  
We've updated the Workers AI text generation models to include context windows and limits definitions and changed our APIs to estimate and validate the number of tokens in the input prompt, not the number of characters.  
This update allows developers to use larger context windows when interacting with Workers AI models, which can lead to better and more accurate results.  
Our [catalog page](https://developers.cloudflare.com/workers-ai/models/) provides more information about each model's supported context window.

Feb 24, 2025
1. ### [Zaraz moves to the “Tag Management” category in the Cloudflare dashboard](https://developers.cloudflare.com/changelog/post/2025-02-24-zaraz-dash-placement/)  
[ Zaraz ](https://developers.cloudflare.com/zaraz/)  
![Zaraz at zone level to Tag management at account level](https://developers.cloudflare.com/_astro/zaraz-account-level.L5Bz9oN0_151oOs.webp)  
Previously, you could only configure Zaraz by going to each individual zone under your Cloudflare account. Now, if you’d like to get started with Zaraz or manage your existing configuration, you can navigate to the [Tag Management ↗](https://dash.cloudflare.com/?to=/:account/tag-management/zaraz) section on the Cloudflare dashboard – this will make it easier to compare and configure the same settings across multiple zones.  
These changes will not alter any existing configuration or entitlements for zones you already have Zaraz enabled on. If you’d like to edit existing configurations, you can go to the [Tag Setup ↗](https://dash.cloudflare.com/?to=/:account/tag-management/zaraz) section of the dashboard, and select the zone you'd like to edit.

Feb 20, 2025
1. ### [Workers for Platforms - Instant dispatch for newly created User Workers](https://developers.cloudflare.com/changelog/post/2025-02-20-synchronous-uploads/)  
[ Workers for Platforms ](https://developers.cloudflare.com/cloudflare-for-platforms/workers-for-platforms/)  
[Workers for Platforms ↗](https://developers.cloudflare.com/cloudflare-for-platforms/) is an architecture wherein a centralized [dispatch Worker](https://developers.cloudflare.com/cloudflare-for-platforms/workers-for-platforms/how-workers-for-platforms-works/#dynamic-dispatch-worker) processes incoming requests and routes them to isolated sub-Workers, called [User Workers](https://developers.cloudflare.com/cloudflare-for-platforms/workers-for-platforms/how-workers-for-platforms-works/#user-workers).  
![Workers for Platforms Requests](https://developers.cloudflare.com/_astro/wfp-request.CZmZLaYf_Z2o8aKs.webp)  
Previously, when a new User Worker was uploaded, there was a short delay before it became available for dispatch. This meant that even though an API request could return a 200 OK response, the script might not yet be ready to handle requests, causing unexpected failures for platforms that immediately dispatch to new Workers.

**With this update, first-time uploads of User Workers are now deployed synchronously**. A 200 OK response guarantees the script is fully provisioned and ready to handle traffic immediately, ensuring more predictable deployments and reducing errors.

Feb 20, 2025
1. ### [Workers AI updated pricing](https://developers.cloudflare.com/changelog/post/2025-02-20-updated-pricing-docs/)  
[ Workers AI ](https://developers.cloudflare.com/workers-ai/)  
We've updated the Workers AI [pricing](https://developers.cloudflare.com/workers-ai/platform/pricing/) to include the latest models and how model usage maps to Neurons.

  * Each model's core input format(s) (tokens, audio seconds, images, etc) now include mappings to Neurons, making it easier to understand how your included Neuron volume is consumed and how you are charged at scale
  * Per-model pricing, instead of the previous bucket approach, allows us to be more flexible on how models are charged based on their size, performance and capabilities. As we optimize each model, we can then pass on savings for that model.
  * You will still only pay for what you consume: Workers AI inference is serverless, and not billed by the hour.  
Going forward, models will be launched with their associated Neuron costs, and we'll be updating the Workers AI dashboard and API to reflect consumption in both raw units and Neurons. Visit the [Workers AI pricing](https://developers.cloudflare.com/workers-ai/platform/pricing/) page to learn more about Workers AI pricing.

Feb 20, 2025
1. ### [Autofix Worker name configuration errors at build time](https://developers.cloudflare.com/changelog/post/2025-02-20-builds-name-conflict/)  
[ Workers ](https://developers.cloudflare.com/workers/)  
![Auto-fixing Workers Name in Git Repo](https://developers.cloudflare.com/_astro/gh-auto-pr-name.BHTtigEg_2smH.webp)  
Small misconfigurations shouldn’t break your deployments. Cloudflare is introducing automatic error detection and fixes in [Workers Builds](https://developers.cloudflare.com/workers/ci-cd/builds/), identifying common issues in your wrangler.toml or wrangler.jsonc and proactively offering fixes, so you spend less time debugging and more time shipping.  
Here's how it works:

  1. Before running your build, Cloudflare checks your Worker's Wrangler configuration file (wrangler.toml or wrangler.jsonc) for common errors.
  2. Once you submit a build, if Cloudflare finds an error it can fix, it will submit a pull request to your repository that fixes it.
  3. Once you merge this pull request, Cloudflare will run another build.  
We're starting with fixing name mismatches between your Wrangler file and the Cloudflare dashboard, a top cause of build failures.  
This is just the beginning, we want your feedback on what other errors we should catch and fix next. Let us know in the Cloudflare Developers Discord, [#workers-and-pages-feature-suggestions ↗](https://discord.com/channels/595317990191398933/1064502845061210152).

Feb 18, 2025
1. ### [WAF Release - 2025-02-18](https://developers.cloudflare.com/changelog/post/2025-02-18-waf-release/)  
[ WAF ](https://developers.cloudflare.com/waf/)  

| Ruleset                    | Rule ID     | Legacy Rule ID | Description                                         | Previous Action | New Action | Comments                |
| -------------------------- | ----------- | -------------- | --------------------------------------------------- | --------------- | ---------- | ----------------------- |
| Cloudflare Managed Ruleset | ...a2ffa4b8 | 100715         | FortiOS - Auth Bypass - CVE:CVE-2024-55591          | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...5a883e12 | 100716         | Ivanti - Auth Bypass - CVE:CVE-2021-44529           | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...958094d3 | 100717         | SimpleHelp - Auth Bypass - CVE:CVE-2024-57727       | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...3b66df22 | 100718         | SonicWall SSLVPN - Auth Bypass - CVE:CVE-2024-53704 | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...9184699f | 100719         | Yeti Platform - Auth Bypass - CVE:CVE-2024-46507    | Log             | Block      | This is a New Detection |

Feb 14, 2025
1. ### [Customize queue message retention periods](https://developers.cloudflare.com/changelog/post/2025-02-14-customize-queue-retention-period/)  
[ Queues ](https://developers.cloudflare.com/queues/)  
You can now customize a queue's message retention period, from a minimum of 60 seconds to a maximum of 14 days. Previously, it was fixed to the default of 4 days.  
![Customize a queue's message retention period](https://developers.cloudflare.com/_astro/customize-retention-period.CpK7s10q_19dmJh.webp)  
You can customize the retention period on the settings page for your queue, or using Wrangler:  
Update message retention period  
```  
$ wrangler queues update my-queue --message-retention-period-secs 600  
```  
This feature is available on all new and existing queues. If you haven't used Cloudflare Queues before, [get started with the Cloudflare Queues guide](https://developers.cloudflare.com/queues/get-started).

Feb 14, 2025
1. ### [Build AI Agents with Example Prompts](https://developers.cloudflare.com/changelog/post/2025-02-14-example-ai-prompts/)  
[ Agents ](https://developers.cloudflare.com/agents/)[ Workers ](https://developers.cloudflare.com/workers/)[ Workflows ](https://developers.cloudflare.com/workflows/)  
We've added an [example prompt](https://developers.cloudflare.com/workers/get-started/prompting/) to help you get started with building AI agents and applications on Cloudflare [Workers](https://developers.cloudflare.com/workers/), including [Workflows](https://developers.cloudflare.com/workflows/), [Durable Objects](https://developers.cloudflare.com/durable-objects/), and [Workers KV](https://developers.cloudflare.com/kv/).  
You can use this prompt with your favorite AI model, including Claude 3.5 Sonnet, OpenAI's o3-mini, Gemini 2.0 Flash, or Llama 3.3 on Workers AI. Models with large context windows will allow you to paste the prompt directly: provide your own prompt within the `<user_prompt></user_prompt>` tags.  
Terminal window  
```  
{paste_prompt_here}<user_prompt>user: Build an AI agent using Cloudflare Workflows. The Workflow should run when a new GitHub issue is opened on a specific project with the label 'help' or 'bug', and attempt to help the user troubleshoot the issue by calling the OpenAI API with the issue title and description, and a clear, structured prompt that asks the model to suggest 1-3 possible solutions to the issue. Any code snippets should be formatted in Markdown code blocks. Documentation and sources should be referenced at the bottom of the response. The agent should then post the response to the GitHub issue. The agent should run as the provided GitHub bot account.</user_prompt>  
```  
This prompt is still experimental, but we encourage you to try it out and [provide feedback ↗](https://github.com/cloudflare/cloudflare-docs/issues/new?template=content.edit.yml).

Feb 14, 2025
1. ### [Configure your Magic WAN Connector to connect via static IP assignment](https://developers.cloudflare.com/changelog/post/2025-02-14-local-console-access/)  
[ Cloudflare One Appliance ](https://developers.cloudflare.com/cloudflare-wan/configuration/appliance/)[ Cloudflare One ](https://developers.cloudflare.com/cloudflare-one/)[ Cloudflare WAN ](https://developers.cloudflare.com/cloudflare-wan/)  
You can now locally configure your [Magic WAN Connector](https://developers.cloudflare.com/cloudflare-wan/configuration/appliance/) to work in a static IP configuration.  
This local method does not require having access to a DHCP Internet connection. However, it does require being comfortable with using tools to access the serial port on Magic WAN Connector as well as using a serial terminal client to access the Connector's environment.  
For more details, refer to [WAN with a static IP address](https://developers.cloudflare.com/cloudflare-wan/configuration/appliance/configure-hardware-appliance/#bootstrap-via-serial-console).

Feb 14, 2025
1. ### [Super Slurper now transfers data to R2 up to 5x faster](https://developers.cloudflare.com/changelog/post/2025-02-14-r2-super-slurper-faster-migrations/)  
[ R2 ](https://developers.cloudflare.com/r2/)  
[Super Slurper](https://developers.cloudflare.com/r2/data-migration/super-slurper/) now transfers data from cloud object storage providers like AWS S3 and Google Cloud Storage to [Cloudflare R2](https://developers.cloudflare.com/r2/) up to 5x faster than it did before.  
We moved from a centralized service to a distributed system built on the Cloudflare Developer Platform — using [Cloudflare Workers](https://developers.cloudflare.com/workers/), [Durable Objects](https://developers.cloudflare.com/durable-objects/), and [Queues](https://developers.cloudflare.com/queues/) — to both improve performance and increase system concurrency capabilities (and we'll share more details about how we did it soon!)  
![Super Slurper Objects Migrated](https://developers.cloudflare.com/_astro/slurper-objects-over-time-border.BFDkMQUw_KFpzV.webp)  
_Time to copy 75,000 objects from AWS S3 to R2 decreased from 15 minutes 30 seconds (old) to 3 minutes 25 seconds (after performance improvements)_  
For more information on Super Slurper and how to migrate data from existing object storage to R2, refer to our [documentation](https://developers.cloudflare.com/r2/data-migration/super-slurper/).

Feb 14, 2025
1. ### [Upload a certificate bundle with an RSA and ECDSA certificate per custom hostname](https://developers.cloudflare.com/changelog/post/2025-02-14-cert-bundling-for-custom-hostnames/)  
[ SSL/TLS ](https://developers.cloudflare.com/ssl/)  
Cloudflare has supported both RSA and ECDSA certificates across our platform for a number of years. Both certificates offer the same security, but ECDSA is more performant due to a smaller key size. However, RSA is more widely adopted and ensures compatibility with legacy clients. Instead of choosing between them, you may want both – that way, ECDSA is used when clients support it, but RSA is available if not.  
Now, you can upload both an RSA and ECDSA certificate on a custom hostname via the API.  
```  
curl -X POST https://api.cloudflare.com/client/v4/zones/$ZONE_ID/custom_hostnames \    -H 'Content-Type: application/json' \    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \    -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \    -d '{    "hostname": "hostname",    "ssl": {        "custom_cert_bundle": [            {                "custom_certificate": "RSA Cert",                "custom_key": "RSA Key"            },            {                "custom_certificate": "ECDSA Cert",                "custom_key": "ECDSA Key"            }        ],        "bundle_method": "force",        "wildcard": false,        "settings": {            "min_tls_version": "1.0"        }    }}’  
```  
You can also:

  * [Upload](https://developers.cloudflare.com/api/resources/custom%5Fhostnames/methods/create/) an RSA or ECDSA certificate to a custom hostname with an existing ECDSA or RSA certificate, respectively.
  * [Replace](https://developers.cloudflare.com/api/resources/custom%5Fhostnames/subresources/certificate%5Fpack/subresources/certificates/methods/update/) the RSA or ECDSA certificate with a certificate of its same type.
  * [Delete](https://developers.cloudflare.com/api/resources/custom%5Fhostnames/subresources/certificate%5Fpack/subresources/certificates/methods/delete/) the RSA or ECDSA certificate (if the custom hostname has both an RSA and ECDSA uploaded).  
This feature is available for Business and Enterprise customers who have purchased custom certificates.

Feb 14, 2025
1. ### [Rewind, Replay, Resume: Introducing DVR for Stream Live](https://developers.cloudflare.com/changelog/post/2025-02-14-introducing-dvr-for-stream-live/)  
[ Stream ](https://developers.cloudflare.com/stream/)  
Previously, all viewers watched "the live edge," or the latest content of the broadcast, synchronously. If a viewer paused for more than a few seconds, the player would automatically "catch up" when playback started again. Seeking through the broadcast was only available once the recording was available after it concluded.  
Starting today, customers can make a small adjustment to the player embed or manifest URL to enable the DVR experience for their viewers. By offering this feature as an opt-in adjustment, our customers are empowered to pick the best experiences for their applications.  
When building a player embed code or manifest URL, just add `dvrEnabled=true` as a query parameter. There are some things to be aware of when using this option. For more information, refer to [DVR for Live](https://developers.cloudflare.com/stream/stream-live/dvr-for-live/).

Feb 12, 2025
1. ### [Configurable multiplexing HTTP/2 to Origin](https://developers.cloudflare.com/changelog/post/2025-02-12-configurable-multiplexing-http2-to-origin/)  
[ Cache / CDN ](https://developers.cloudflare.com/cache/)  
You can now configure HTTP/2 multiplexing settings for origin connections on Enterprise plans. This feature allows you to optimize how Cloudflare manages concurrent requests over HTTP/2 connections to your origin servers, improving cache efficiency and reducing connection overhead.  
#### How it works  
HTTP/2 multiplexing allows multiple requests to be sent over a single TCP connection. With this configuration option, you can:

  1. **Control concurrent streams**: Adjust the maximum number of concurrent streams per connection.
  2. **Optimize connection reuse**: Fine-tune connection pooling behavior for your origin infrastructure.
  3. **Reduce connection overhead**: Minimize the number of TCP connections required between Cloudflare and your origin.
  4. **Improve cache performance**: Better connection management can enhance cache fetch efficiency.  
#### Benefits

  * **Customizable performance**: Tailor multiplexing settings to your origin's capabilities.
  * **Reduced latency**: Fewer connection handshakes improve response times.
  * **Lower origin load**: More efficient connection usage reduces server resource consumption.
  * **Enhanced scalability**: Better connection management supports higher traffic volumes.  
#### Get started  
Enterprise customers can configure HTTP/2 multiplexing settings in the [Cloudflare Dashboard ↗](https://dash.cloudflare.com/) or through our [API](https://developers.cloudflare.com/api/).  
Important consideration  
This setting needs to be tuned carefully for your origin infrastructure. Setting the concurrent stream limit too high can negatively impact performance by saturating the shared TCP connection and overwhelming server processing capacity, leading to increased latency for individual requests.

Feb 12, 2025
1. ### [Increased Cloudflare Rules limits](https://developers.cloudflare.com/changelog/post/2025-02-12-rules-upgraded-limits/)  
[ Rules ](https://developers.cloudflare.com/rules/)  
We have upgraded and streamlined [Cloudflare Rules](https://developers.cloudflare.com/rules/) limits across all plans, simplifying rule management and improving scalability for everyone.

**New limits by product:**

  * [Bulk Redirects](https://developers.cloudflare.com/rules/url-forwarding/bulk-redirects/)  
    * Free: **20** → **10,000** URL redirects across lists
    * Pro: **500** → **25,000** URL redirects across lists
    * Business: **500** → **50,000** URL redirects across lists
    * Enterprise: **10,000** → **1,000,000** URL redirects across lists
  * [Cloud Connector](https://developers.cloudflare.com/rules/cloud-connector/)  
    * Free: **5** → **10** connectors
    * Enterprise: **125** → **300** connectors
  * [Custom Errors](https://developers.cloudflare.com/rules/custom-errors/)  
    * Pro: **5** → **25** error assets and rules
    * Business: **20** → **50** error assets and rules
    * Enterprise: **50** → **300** error assets and rules
  * [Snippets](https://developers.cloudflare.com/rules/snippets/)  
    * Pro: **10** → **25** code snippets and rules
    * Business: **25** → **50** code snippets and rules
    * Enterprise: **50** → **300** code snippets and rules
  * [Cache Rules](https://developers.cloudflare.com/cache/how-to/cache-rules/), [Configuration Rules](https://developers.cloudflare.com/rules/configuration-rules/), [Compression Rules](https://developers.cloudflare.com/rules/compression-rules/), [Origin Rules](https://developers.cloudflare.com/rules/origin-rules/), [Single Redirects](https://developers.cloudflare.com/rules/url-forwarding/single-redirects/), and [Transform Rules](https://developers.cloudflare.com/rules/transform/)  
    * Enterprise: **125** → **300** rules  
Gradual rollout  
Limits are updated gradually. Some customers may still see previous limits until the rollout is fully completed in the first half of 2025.

Feb 11, 2025
1. ### [Custom Errors (beta): Stored Assets & Account-level Rules](https://developers.cloudflare.com/changelog/post/2025-02-11-custom-errors-beta/)  
[ Rules ](https://developers.cloudflare.com/rules/)  
We're introducing [Custom Errors](https://developers.cloudflare.com/rules/custom-errors/) (beta), which builds on our existing Custom Error Responses feature with new asset storage capabilities.  
This update allows you to store externally hosted error pages on Cloudflare and reference them in custom error rules, eliminating the need to supply inline content.  
This brings the following new capabilities:

  * **Custom error assets** – Fetch and store external error pages at the edge for use in error responses.
  * **Account-Level custom errors** – Define error handling rules and assets at the account level for consistency across multiple zones. Zone-level rules take precedence over account-level ones, and assets are not shared between levels.  
You can use Cloudflare API to upload your existing assets for use with Custom Errors:  
Terminal window  
```  
curl "https://api.cloudflare.com/client/v4/zones/{zone_id}/custom_pages/assets" \--header "Authorization: Bearer <API_TOKEN>" \--header 'Content-Type: application/json' \--data '{  "name": "maintenance",  "description": "Maintenance template page",  "url": "https://example.com/"}'  
```  
You can then reference the stored asset in a Custom Error rule:  
Terminal window  
```  
curl --request PUT \"https://api.cloudflare.com/client/v4/zones/{zone_id}/rulesets/phases/http_custom_errors/entrypoint" \--header "Authorization: Bearer <API_TOKEN>" \--header 'Content-Type: application/json' \--data '{  "rules": [    {      "action": "serve_error",      "action_parameters": {        "asset_name": "maintenance",        "content_type": "text/html",        "status_code": 503      },      "enabled": true,      "expression": "http.request.uri.path contains \"error\""    }  ]}'  
```

Feb 11, 2025
1. ### [WAF Release - 2025-02-11](https://developers.cloudflare.com/changelog/post/2025-02-11-waf-release/)  
[ WAF ](https://developers.cloudflare.com/waf/)  

| Ruleset                    | Rule ID     | Legacy Rule ID | Description                                                               | Previous Action | New Action | Comments                |
| -------------------------- | ----------- | -------------- | ------------------------------------------------------------------------- | --------------- | ---------- | ----------------------- |
| Cloudflare Managed Ruleset | ...483b4c26 | 100708         | Aviatrix Network - Remote Code Execution - CVE:CVE-2024-50603             | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...7e924ca3 | 100709         | Next.js - Remote Code Execution - CVE:CVE-2024-46982                      | Log             | Disabled   | This is a New Detection |
| Cloudflare Managed Ruleset | ...83a7d8ff | 100710         | Progress Software WhatsUp Gold - Directory Traversal - CVE:CVE-2024-12105 | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...baa8eb34 | 100711         | WordPress - Remote Code Execution - CVE:CVE-2024-56064                    | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...87f5d34e | 100712         | WordPress - Remote Code Execution - CVE:CVE-2024-9047                     | Log             | Block      | This is a New Detection |
| Cloudflare Managed Ruleset | ...bf72cf8a | 100713         | FortiOS - Auth Bypass - CVE:CVE-2022-40684                                | Log             | Block      | This is a New Detection |

Feb 07, 2025
1. ### [Open email links with Security Center](https://developers.cloudflare.com/changelog/post/2025-02-07-open-links-security-center/)  
[ Email security ](https://developers.cloudflare.com/cloudflare-one/email-security/)  
You can now investigate links in emails with Cloudflare Security Center to generate a report containing a myriad of technical details: a phishing scan, SSL certificate data, HTTP request and response data, page performance data, DNS records, what technologies and libraries the page uses, and more.  
![Open links in Security Center](https://developers.cloudflare.com/_astro/Open-Links-Security-Center.b-LJU4YB_2dBHq8.webp)  
From **Investigation**, go to **View details**, and look for the **Links identified** section. Select **Open in Security Center** next to each link. **Open in Security Center** allows your team to quickly generate a detailed report about the link with no risk to the analyst or your environment.  
For more details, refer to [Open links](https://developers.cloudflare.com/cloudflare-one/email-security/investigation/search-email/#open-links).  
This feature is available across these Email security packages:

  * **Advantage**
  * **Enterprise**
  * **Enterprise + PhishGuard**

Feb 07, 2025
1. ### [Create and deploy Workers from Git repositories](https://developers.cloudflare.com/changelog/post/2025-02-07-new-ways-to-get-started-on-workers/)  
[ Workers ](https://developers.cloudflare.com/workers/)  
![Import repo or choose template](https://developers.cloudflare.com/_astro/choose-template-import-repo.Ci4KQPnT_17oN4z.webp)  
You can now create a Worker by:

  * **Importing a Git repository**: Choose an existing Git repo on your GitHub/GitLab account and set up [Workers Builds](https://developers.cloudflare.com/workers/ci-cd/builds/configuration/) to deploy your Worker.
  * **Deploying a template with Git**: Choose from a brand new selection of production ready [examples ↗](https://github.com/cloudflare/templates) to help you get started with popular frameworks like [Astro ↗](https://astro.build/), [Remix ↗](https://remix.run/) and [Next ↗](https://nextjs.org/) or build stateful applications with Cloudflare resources like [D1 databases](https://developers.cloudflare.com/d1/), [Workers AI](https://developers.cloudflare.com/workers-ai/) or [Durable Objects](https://developers.cloudflare.com/durable-objects/)! When you're ready to deploy, Cloudflare will set up your project by cloning the template to your GitHub/GitLab account, provisioning any required [resources](https://developers.cloudflare.com/workers/runtime-apis/bindings/) and deploying your Worker.  
With every push to your chosen branch, Cloudflare will automatically build and deploy your Worker.  
To get started, go to the [Workers dashboard ↗](https://dash.cloudflare.com/?to=/:account/workers-and-pages/create).  
These new features are available today in the Cloudflare dashboard to a subset of Cloudflare customers, and will be coming to all customers in the next few weeks. Don't see it in your dashboard, but want early access? Add your Cloudflare Account ID to [this form ↗](https://forms.gle/U1qhkF2snNJDGJJa9).

Feb 06, 2025
1. ### [Request timeouts and retries with AI Gateway](https://developers.cloudflare.com/changelog/post/2025-02-05-aig-request-handling/)  
[ AI Gateway ](https://developers.cloudflare.com/ai-gateway/)  
AI Gateway adds additional ways to handle requests - [Request Timeouts](https://developers.cloudflare.com/ai-gateway/configuration/request-handling/#request-timeouts) and [Request Retries](https://developers.cloudflare.com/ai-gateway/configuration/request-handling/#request-retries), making it easier to keep your applications responsive and reliable.  
Timeouts and retries can be used on both the [Universal Endpoint](https://developers.cloudflare.com/ai-gateway/usage/universal/) or directly to a [supported provider](https://developers.cloudflare.com/ai-gateway/usage/providers/).

**Request timeouts**A [request timeout](https://developers.cloudflare.com/ai-gateway/configuration/request-handling/#request-timeouts) allows you to trigger [fallbacks](https://developers.cloudflare.com/ai-gateway/configuration/fallbacks/) or a retry if a provider takes too long to respond.  
To set a request timeout directly to a provider, add a `cf-aig-request-timeout` header.  
Provider-specific endpoint example  
```  
curl https://gateway.ai.cloudflare.com/v1/{account_id}/{gateway_id}/workers-ai/@cf/meta/llama-3.1-8b-instruct \ --header 'Authorization: Bearer {cf_api_token}' \ --header 'Content-Type: application/json' \ --header 'cf-aig-request-timeout: 5000' --data '{"prompt": "What is Cloudflare?"}'  
```

**Request retries**A [request retry](https://developers.cloudflare.com/ai-gateway/configuration/request-handling/#request-retries) automatically retries failed requests, so you can recover from temporary issues without intervening.  
To set up request retries directly to a provider, add the following headers:

  * cf-aig-max-attempts (number)
  * cf-aig-retry-delay (number)
  * cf-aig-backoff ("constant" | "linear" | "exponential)

Feb 05, 2025
1. ### [AI Gateway adds Cerebras, ElevenLabs, and Cartesia as new providers](https://developers.cloudflare.com/changelog/post/2025-02-04-aig-provider-cartesia-eleven-cerebras/)  
[ AI Gateway ](https://developers.cloudflare.com/ai-gateway/)  
[AI Gateway](https://developers.cloudflare.com/ai-gateway/) has added three new providers: [Cartesia](https://developers.cloudflare.com/ai-gateway/usage/providers/cartesia/), [Cerebras](https://developers.cloudflare.com/ai-gateway/usage/providers/cerebras/), and [ElevenLabs](https://developers.cloudflare.com/ai-gateway/usage/providers/elevenlabs/), giving you more even more options for providers you can use through AI Gateway. Here's a brief overview of each:

  * [Cartesia](https://developers.cloudflare.com/ai-gateway/usage/providers/cartesia/) provides text-to-speech models that produce natural-sounding speech with low latency.
  * [Cerebras](https://developers.cloudflare.com/ai-gateway/usage/providers/cerebras/) delivers low-latency AI inference to Meta's Llama 3.1 8B and Llama 3.3 70B models.
  * [ElevenLabs](https://developers.cloudflare.com/ai-gateway/usage/providers/elevenlabs/) offers text-to-speech models with human-like voices in 32 languages.  
![Example of Cerebras log in AI Gateway](https://developers.cloudflare.com/_astro/cerebras2.qHYP0ZnF_XMtnx.webp)  
To get started with AI Gateway, just update the base URL. Here's how you can send a request to [Cerebras](https://developers.cloudflare.com/ai-gateway/usage/providers/cerebras/) using cURL:  
Example fetch request  
```  
curl -X POST https://gateway.ai.cloudflare.com/v1/ACCOUNT_TAG/GATEWAY/cerebras/chat/completions \ --header 'content-type: application/json' \ --header 'Authorization: Bearer CEREBRAS_TOKEN' \ --data '{    "model": "llama-3.3-70b",    "messages": [        {            "role": "user",            "content": "What is Cloudflare?"        }    ]}'  
```

Feb 04, 2025
1. ### [Fight CSAM More Easily Than Ever](https://developers.cloudflare.com/changelog/post/2025-02-04-easier-onboarding-for-csam-scanning-tool/)  
[ Cache / CDN ](https://developers.cloudflare.com/cache/)  
You can now implement our **child safety tooling**, the **[CSAM Scanning Tool](https://developers.cloudflare.com/cache/reference/csam-scanning/)**, more easily. Instead of requiring external reporting credentials, you only need a verified email address for notifications to onboard. This change makes the tool more accessible to a wider range of customers.

**How It Works**  
When enabled, the tool automatically [hashes images for enabled websites as they enter the Cloudflare cache ↗](https://blog.cloudflare.com/the-csam-scanning-tool/). These hashes are then checked against a database of **known abusive images**.

  * **Potential match detected?**  
    * The **content URL is blocked**, and
    * **Cloudflare will notify you** about the found matches via the provided email address.

**Updated Service-Specific Terms**  
We have also made updates to our **[Service-Specific Terms ↗](https://www.cloudflare.com/service-specific-terms-application-services/#csam-scanning-tool-terms)** to reflect these changes.

Feb 04, 2025
1. ### [Expanded AI insights in Cloudflare Radar](https://developers.cloudflare.com/changelog/post/2025-02-04-radar-ai-insights/)  
[ Radar ](https://developers.cloudflare.com/radar/)  
[**Radar**](https://developers.cloudflare.com/radar/) has expanded its AI insights with new API endpoints for Internet services rankings, robots.txt analysis, and AI inference data.  
#### Internet services ranking  
Radar now provides [rankings for Internet services](https://developers.cloudflare.com/radar/glossary/#internet-services-ranking), including Generative AI platforms, based on anonymized 1.1.1.1 resolver data. Previously limited to the annual Year in Review, these insights are now available daily via the [API](https://developers.cloudflare.com/api/resources/radar/subresources/ranking/subresources/internet%5Fservices/), through the following endpoints:

  * [/ranking/internet\_services/top](https://developers.cloudflare.com/api/resources/radar/subresources/ranking/subresources/internet%5Fservices/methods/top/) show service popularity at a specific date.
  * [/ranking/internet\_services/timeseries\_groups](https://developers.cloudflare.com/api/resources/radar/subresources/ranking/subresources/internet%5Fservices/methods/timeseries%5Fgroups/) track ranking trends over time.  
#### Robots.txt  
Radar now analyzes [robots.txt](https://developers.cloudflare.com/radar/glossary/#robotstxt) files from the top 10,000 domains, identifying AI bot access rules. AI-focused user agents from [ai.robots.txt ↗](https://github.com/ai-robots-txt/ai.robots.txt) are categorized as:

  * **Fully allowed/disallowed** if directives apply to all paths (`*`).
  * **Partially allowed/disallowed** if restrictions apply to specific paths.  
These insights are now available weekly via the [API](https://developers.cloudflare.com/api/resources/radar/subresources/robots%5Ftxt/), through the following endpoints:

  * [/robots\_txt/top/user\_agents/directive](https://developers.cloudflare.com/api/resources/radar/subresources/robots%5Ftxt/subresources/top/subresources/user%5Fagents/methods/directive/) to get the top AI user agents by directive.
  * [/robots\_txt/top/domain\_categories](https://developers.cloudflare.com/api/resources/radar/subresources/robots%5Ftxt/subresources/top/methods/domain%5Fcategories/) to get the top domain categories by robots.txt files.  
#### Workers AI  
Radar now provides insights into public AI inference models from [Workers AI](https://developers.cloudflare.com/workers-ai/), tracking usage trends across **models** and **tasks**. These insights are now available via the [API](https://developers.cloudflare.com/api/resources/radar/subresources/ai/subresources/inference/), through the following endpoints:

  * [/ai/inference/summary/{dimension}](https://developers.cloudflare.com/api/resources/radar/subresources/ai/subresources/inference/subresources/summary/) to view aggregated `model` and `task` popularity.
  * [/ai/inference/timeseries\_groups/{dimension}](https://developers.cloudflare.com/api/resources/radar/subresources/ai/subresources/inference/subresources/timeseries%5Fgroups/) to track changes over time for `model` or `task`.  
Learn more about the new Radar AI insights in our [blog post ↗](https://blog.cloudflare.com/expanded-ai-insights-on-cloudflare-radar/).

Feb 04, 2025
1. ### [Updated leaked credentials database](https://developers.cloudflare.com/changelog/post/2025-02-04-updated-leaked-credentials-database/)  
[ WAF ](https://developers.cloudflare.com/waf/)  
Added new records to the leaked credentials database from a third-party database.

Feb 03, 2025
1. ### [Block files that are password-protected, compressed, or otherwise unscannable.](https://developers.cloudflare.com/changelog/post/2025-02-13-improvements-unscannable-files/)  
[ Data Loss Prevention ](https://developers.cloudflare.com/cloudflare-one/data-loss-prevention/)[ Gateway ](https://developers.cloudflare.com/cloudflare-one/traffic-policies/)  
Gateway HTTP policies can now block files that are password-protected, compressed, or otherwise unscannable.  
These unscannable files are now matched with the [Download and Upload File Types traffic selectors](https://developers.cloudflare.com/cloudflare-one/traffic-policies/http-policies/#download-and-upload-file-types) for HTTP policies:

  * Password-protected Microsoft Office document
  * Password-protected PDF
  * Password-protected ZIP archive
  * Unscannable ZIP archive  
To get started inspecting and modifying behavior based on these and other rules, refer to [HTTP filtering](https://developers.cloudflare.com/cloudflare-one/traffic-policies/get-started/http/).

```json
{"@context":"https://schema.org","@type":"BlogPosting","@id":"https://developers.cloudflare.com/changelog/38/#page","headline":"Changelogs | Cloudflare Docs","url":"https://developers.cloudflare.com/changelog/38/","inLanguage":"en","image":"https://developers.cloudflare.com/cf-twitter-card.png","publisher":{"@type":"Organization","name":"Cloudflare","url":"https://www.cloudflare.com/"},"isPartOf":{"@type":"WebSite","@id":"https://developers.cloudflare.com/#website","name":"Cloudflare Docs","url":"https://developers.cloudflare.com/"}}
```
